## ros-rolling-ublox-dgnss-node 0.4.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ublox_dgnss_node)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_test REQUIRED)
# find_package(ament_cmake_uncrustify REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)
find_package(ublox_ubx_msgs REQUIRED)
find_package(ublox_ubx_interfaces REQUIRED)
find_package(rtcm_msgs REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(libusb REQUIRED libusb-1.0)

include_directories(include SYSTEM)

add_library(ublox_dgnss_components SHARED
  src/usb.cpp
  src/ublox_dgnss_node.cpp
)

target_compile_definitions(ublox_dgnss_components
  PRIVATE "UBLOX_DGNSS_NODE_BUILDING_DLL"
)

ament_target_dependencies(ublox_dgnss_components
  rclcpp
  rclcpp_components
  std_msgs
  ublox_ubx_msgs
  ublox_ubx_interfaces
  rtcm_msgs
)

target_link_libraries(ublox_dgnss_components
  usb-1.0
)

rclcpp_components_register_node(ublox_dgnss_components
  PLUGIN "ublox_dgnss::UbloxDGNSSNode"
  EXECUTABLE ublox_dgnss_node)

install(TARGETS
  ublox_dgnss_components
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# install(
#   DIRECTORY launch
#   DESTINATION share/${PROJECT_NAME}
# )



if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-ublox-dgnss-node (0.4.4-1jammy) jammy; urgency=high

  * cmake uncrustify changes
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-rolling-ublox-dgnss-node (0.4.3-1jammy) jammy; urgency=high

  * added ament_cmake_uncrustify
  * Contributors: Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-rolling-ublox-dgnss-node (0.4.2-1jammy) jammy; urgency=high



 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-rolling-ublox-dgnss-node (0.4.1-1jammy) jammy; urgency=high

  * updates for release
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * changed verbosity of logging
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #8 <https://github.com/aussierobots/ublox_dgnss/issues/8> from gsokoll/F9R-and-RTCM
    Change to rtcm_msgs instead of mavros_msgs.
  * Change to rtcm_msgs instead of mavros_msgs.
    This is in keeping with a similar PR for the LORD MicrosStrain NTRIP client.
    https://github.com/LORD-MicroStrain/ntrip_client/pull/34
    where it is commented that
    "rtcm_msgs is a smaller dependency with support for both ROS and ROS 2
    now, and preferred by some downstream dependencies like ublox."
    Format of the messages are strcturally identical, with the only difference
    being the name of the payload ("data" in mavros vs "message" in rtcm_msgs)
  * Merge pull request #6 <https://github.com/aussierobots/ublox_dgnss/issues/6> from gsokoll/gsokoll-patch-1
    Add CFG_SFIMU_AUTO_MNTALG_ENA
  * if usb detached warn not sending to device
  * added guards not send to device if usb devh null
  * usb connection changes
  * added return for esf_meas warnings to not send
  * added guards and warnings for ubx_esf_meas inbound
  * Add CFG_SFIMU_AUTO_MNTALG_ENA
  * fix to pub full ubx_esf_meas
  * changed some msgs from INFO to DEBUG
  * renamed ubx_esf_meas_sub topic
  * changed calibTtag from an array to single value
  * uncrustify changes
  * uncrustify format changes
  * fixed wrong esf msg
  * added rtcm msg processing
  * added ubx_esf_meas full poll payload to device
  * added ubx_esf_meas output publishing
  * fixed spelling mistake
  * notation and spelling fixes
  * added initial ubx esf status code
  * renamed F9P usb variable to F9
  * fixed CFG_SFDO_LATENCY naming
  * Added CFG_MSGOUT_UBX_ESF* items
  * Added CFG_SFODO_* items
  * added new DYN_MODEL SFIMU_IMU_MNTALG_* cfg items
  * changed USb and UBX event times from 10ns to 10ms
  * Merge pull request #4 <https://github.com/aussierobots/ublox_dgnss/issues/4> from gsokoll/patch-1
    Add UBX_ESF message class and id's
  * Add UBX_ESF message class and id's
  * added ubx_rxm_out_frame for poll frame out
  * fixed version output
  * added ubx-rxm-rtcm publishing
  * Contributors: Geoff Sokoll, Nick Hortovanyi
  * Merge pull request #10 <https://github.com/aussierobots/ublox_dgnss/issues/10> from aussierobots/F9R-and-RTCM
    F9 r and rtcm
  * changed verbosity of logging
  * Merge pull request #9 <https://github.com/aussierobots/ublox_dgnss/issues/9> from gsokoll/F9R-and-RTCM
    Composable node version of navsatfix
  * Composable node version of navsatfix.  Added example launch file.
  * Merge pull request #8 <https://github.com/aussierobots/ublox_dgnss/issues/8> from gsokoll/F9R-and-RTCM
    Change to rtcm_msgs instead of mavros_msgs.
  * Change to rtcm_msgs instead of mavros_msgs.
    This is in keeping with a similar PR for the LORD MicrosStrain NTRIP client.
    https://github.com/LORD-MicroStrain/ntrip_client/pull/34
    where it is commented that
    "rtcm_msgs is a smaller dependency with support for both ROS and ROS 2
    now, and preferred by some downstream dependencies like ublox."
    Format of the messages are strcturally identical, with the only difference
    being the name of the payload ("data" in mavros vs "message" in rtcm_msgs)
  * Merge pull request #6 <https://github.com/aussierobots/ublox_dgnss/issues/6> from gsokoll/gsokoll-patch-1
    Add CFG_SFIMU_AUTO_MNTALG_ENA
  * if usb detached warn not sending to device
  * added guards not send to device if usb devh null
  * usb connection changes
  * added return for esf_meas warnings to not send
  * added guards and warnings for ubx_esf_meas inbound
  * Add CFG_SFIMU_AUTO_MNTALG_ENA
  * fix to pub full ubx_esf_meas
  * changed some msgs from INFO to DEBUG
  * renamed ubx_esf_meas_sub topic
  * changed calibTtag from an array to single value
  * uncrustify changes
  * uncrustify format changes
  * fixed wrong esf msg
  * added rtcm msg processing
  * added ubx_esf_meas full poll payload to device
  * added ubx_esf_meas output publishing
  * fixed spelling mistake
  * notation and spelling fixes
  * added initial ubx esf status code
  * renamed F9P usb variable to F9
  * fixed CFG_SFDO_LATENCY naming
  * Added CFG_MSGOUT_UBX_ESF* items
  * Added CFG_SFODO_* items
  * added new DYN_MODEL SFIMU_IMU_MNTALG_* cfg items
  * changed USb and UBX event times from 10ns to 10ms
  * Merge pull request #4 <https://github.com/aussierobots/ublox_dgnss/issues/4> from gsokoll/patch-1
    Add UBX_ESF message class and id's
  * Add UBX_ESF message class and id's
  * added ubx_rxm_out_frame for poll frame out
  * fixed version output
  * added ubx-rxm-rtcm publishing
  * Contributors: Geoff Sokoll, Nick Hortovanyi

 -- Nick Hortovanyi <nick@aussierobots.com.au>  Tue, 23 May 2023 14:00:00 -0000

ros-rolling-ublox-dgnss-node (0.3.5-1jammy) jammy; urgency=high

  * uncrustify changes
  * reverted uncrustify to ros ament default
  * fixed title underline
  * Contributors: Nick Hortovanyi



=== debian/control ===
Source: ros-rolling-ublox-dgnss-node
Section: misc
Priority: optional
Maintainer: Nick Hortovanyi <nick@aussierobots.com.au>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, pkg-config, ros-rolling-ament-cmake, ros-rolling-ament-cmake-copyright <!nocheck>, ros-rolling-ament-cmake-cppcheck <!nocheck>, ros-rolling-ament-cmake-uncrustify <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rtcm-msgs, ros-rolling-ublox-ubx-interfaces, ros-rolling-ublox-ubx-msgs, ros-rolling-ros-workspace
Homepage: https://github.com/aussierobots/ublox_dgnss
Standards-Version: 3.9.2

Package: ros-rolling-ublox-dgnss-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rtcm-msgs, ros-rolling-std-msgs, ros-rolling-ublox-ubx-interfaces, ros-rolling-ublox-ubx-msgs, ros-rolling-ros-workspace
Description: Provides a ublox_gnss node for a u-blox GPS GNSS receiver using Gen 9 UBX Protocol

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ublox-dgnss-node//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
